Package org.apache.tapestry5.corelib.data

# Enum BlankOption

java.lang.Object
java.lang.Enum<BlankOption>
org.apache.tapestry5.corelib.data.BlankOption

All Implemented Interfaces:
  `Serializable`, `Comparable<BlankOption>`, `java.lang.constant.Constable`

public enum BlankOption extends Enum<BlankOption>
Used with the `Select` component to control whether an initial blank option is supplied. Determines the optionality of the undelrying property from the Select's validate parameter

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALWAYS`
  Always include the blank option, even if the underlying property is required.
  `AUTO`
  The default: include the blank option if the underlying property is optional.
  `NEVER`
  Never include the blank option, even if the underlying property is optional.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BlankOption`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static BlankOption[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALWAYS

    public static final BlankOption ALWAYS
    Always include the blank option, even if the underlying property is required.

  - ### NEVER

    public static final BlankOption NEVER
    Never include the blank option, even if the underlying property is optional.

  - ### AUTO

    public static final BlankOption AUTO
    The default: include the blank option if the underlying property is optional.

- ## Method Details

  - ### values

    public static BlankOption[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static BlankOption valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null